org.codehaus.plexus.context

## Class ContextMapAdapter

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.codehaus.plexus.context.ContextMapAdapter

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class ContextMapAdapter
    extends HashMap

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ContextMapAdapter(Context context)`

### Method Summary

Methods
`Object` `get(Object key)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### ContextMapAdapter

    public ContextMapAdapter(Context context)

### Method Detail

#### get

    public Object get(Object key)

Specified by:
  `get` in interface `Map`
Overrides:
  `get` in class `HashMap`